Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.ntru
Class NtruSign

    java.lang.Object
      net.sf.ntru.NtruSign

    public class NtruSign

extends java.lang.Object

Constructor Summary
`NtruSign()`

Method Summary
`private static SignaturePrivateKey.Basis` | `createBasis(SignatureParameters params)`
`(package private) static IntegerPolynomial` | `createMsgRep(byte[] m, int r, SignatureParameters params)`
`private static boolean` | `equalsQ(IntegerPolynomial f, IntegerPolynomial g, BigIntPolynomial F, BigIntPolynomial G, int q, int N)`
`static SignatureKeyPair` | `generateKeyPair(SignatureParameters params)`
`private static void` | `shift(IntegerPolynomial p, int q)`
`static byte[]` | `sign(byte[] m, SignaturePrivateKey priv, SignaturePublicKey pub, SignatureParameters params)`
`(package private) static IntegerPolynomial` | `sign(IntegerPolynomial i, SignaturePrivateKey priv, SignaturePublicKey pub, SignatureParameters params)`
`static boolean` | `verify(byte[] m, byte[] sig, SignaturePublicKey pub, SignatureParameters params)`
`(package private) static boolean` | `verify(IntegerPolynomial i, IntegerPolynomial s, IntegerPolynomial h, SignatureParameters params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NtruSign

    public NtruSign()

Method Detail

### generateKeyPair

    public static SignatureKeyPair generateKeyPair(SignatureParameters params)

### sign

    public static byte[] sign(byte[] m,
                              SignaturePrivateKey priv,
                              SignaturePublicKey pub,
                              SignatureParameters params)

### sign

    static IntegerPolynomial sign(IntegerPolynomial i,
                                  SignaturePrivateKey priv,
                                  SignaturePublicKey pub,
                                  SignatureParameters params)

### verify

    public static boolean verify(byte[] m,
                                 byte[] sig,
                                 SignaturePublicKey pub,
                                 SignatureParameters params)

### verify

    static boolean verify(IntegerPolynomial i,
                          IntegerPolynomial s,
                          IntegerPolynomial h,
                          SignatureParameters params)

### shift

    private static void shift(IntegerPolynomial p,
                              int q)

### createMsgRep

    static IntegerPolynomial createMsgRep(byte[] m,
                                          int r,
                                          SignatureParameters params)
                                   throws java.security.NoSuchAlgorithmException

  Throws:
    `java.security.NoSuchAlgorithmException`

### createBasis

    private static SignaturePrivateKey.Basis createBasis(SignatureParameters params)

### equalsQ

    private static boolean equalsQ(IntegerPolynomial f,
                                   IntegerPolynomial g,
                                   BigIntPolynomial F,
                                   BigIntPolynomial G,
                                   int q,
                                   int N)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD